package com.e6yun.project.sdk.api.pojo.basevo.iot;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description OilCalListVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 10:52
 * @ClassName OilCalListVO
 * @Remark
 */
public class OilCalListVO {

    private Integer vehicleid;
    private Integer carId;
    private Date gpstime;
    private Date createdtime;
    private String wid;
    private Integer itransfer;
    private BigDecimal lon;
    private BigDecimal lat;
    private Integer direction;
    private Integer speed;
    private BigDecimal odometer;
    private Integer iaccstatus;
    private Integer ilinestatus;
    private Integer ilostatus;
    private Integer oilStatus;
    private String status;
    private BigDecimal oilCalc1;
    private BigDecimal oilCalc2;
    private BigDecimal ohm1;
    private BigDecimal ohm2;

    public Integer getVehicleid() {
        return vehicleid;
    }

    public void setVehicleid(Integer vehicleid) {
        this.vehicleid = vehicleid;
    }

    public Integer getCarId() {
        return carId;
    }

    public void setCarId(Integer carId) {
        this.carId = carId;
    }

    public Date getGpstime() {
        return gpstime;
    }

    public void setGpstime(Date gpstime) {
        this.gpstime = gpstime;
    }

    public Date getCreatedtime() {
        return createdtime;
    }

    public void setCreatedtime(Date createdtime) {
        this.createdtime = createdtime;
    }

    public String getWid() {
        return wid;
    }

    public void setWid(String wid) {
        this.wid = wid;
    }

    public Integer getItransfer() {
        return itransfer;
    }

    public void setItransfer(Integer itransfer) {
        this.itransfer = itransfer;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public BigDecimal getOdometer() {
        return odometer;
    }

    public void setOdometer(BigDecimal odometer) {
        this.odometer = odometer;
    }

    public Integer getIaccstatus() {
        return iaccstatus;
    }

    public void setIaccstatus(Integer iaccstatus) {
        this.iaccstatus = iaccstatus;
    }

    public Integer getIlinestatus() {
        return ilinestatus;
    }

    public void setIlinestatus(Integer ilinestatus) {
        this.ilinestatus = ilinestatus;
    }

    public Integer getIlostatus() {
        return ilostatus;
    }

    public void setIlostatus(Integer ilostatus) {
        this.ilostatus = ilostatus;
    }

    public Integer getOilStatus() {
        return oilStatus;
    }

    public void setOilStatus(Integer oilStatus) {
        this.oilStatus = oilStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BigDecimal getOilCalc1() {
        return oilCalc1;
    }

    public void setOilCalc1(BigDecimal oilCalc1) {
        this.oilCalc1 = oilCalc1;
    }

    public BigDecimal getOilCalc2() {
        return oilCalc2;
    }

    public void setOilCalc2(BigDecimal oilCalc2) {
        this.oilCalc2 = oilCalc2;
    }

    public BigDecimal getOhm1() {
        return ohm1;
    }

    public void setOhm1(BigDecimal ohm1) {
        this.ohm1 = ohm1;
    }

    public BigDecimal getOhm2() {
        return ohm2;
    }

    public void setOhm2(BigDecimal ohm2) {
        this.ohm2 = ohm2;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleid", vehicleid)
                .add("carId", carId)
                .add("gpstime", gpstime)
                .add("createdtime", createdtime)
                .add("wid", wid)
                .add("itransfer", itransfer)
                .add("lon", lon)
                .add("lat", lat)
                .add("direction", direction)
                .add("speed", speed)
                .add("odometer", odometer)
                .add("iaccstatus", iaccstatus)
                .add("ilinestatus", ilinestatus)
                .add("ilostatus", ilostatus)
                .add("oilStatus", oilStatus)
                .add("status", status)
                .add("oilCalc1", oilCalc1)
                .add("oilCalc2", oilCalc2)
                .add("ohm1", ohm1)
                .add("ohm2", ohm2)
                .toString();
    }
}
